#pragma once
#ifndef TEXTURESDL_H_
#define TEXTURESDL_H_

#include "texture.h"

namespace EPOC
{
	class GraphicsManager;
	class TextureSDL : public Texture
	{
	public:
		TextureSDL();
		TextureSDL(GraphicsManager *pGraphicsManager);
		virtual ~TextureSDL(void);

		virtual void Cleanup();
		virtual bool Initialize(std::string sName, std::string sFilePath, SDL_Surface *pSDLSurface, bool bExclusive = false);
	
	protected:
	
	}; // class TextureSDL
}; //namespace EPOC

#endif