#pragma once
#ifndef BASICAPPLICATION_H_
#define BASICAPPLICATION_H_

#include <application.h>

/**
* BasicApplication class
* This class is the entry point for EPOC applications
*/
class BasicApplication : public EPOC::Application
{
public:
	/**
	* Constructor
	*/
	BasicApplication();

	/**
	* Destructor
	*/
	virtual ~BasicApplication();

	/**	
	* Initializes all EPOC core data
	* @return true if the initialization succeeded and false if it didn't
	*/
	virtual bool Initialize();

protected:
	/**	
	* Creates a content manager
	* @return true if the creation succeeded and false if it didn't
	*/
	virtual bool CreateContentManager();
};

#endif // BASICAPPLICATION_H_